var NAVTREE =
[
  [ "Unity Scopes API", "index.html", [
    [ "What are scopes", "index.html#overview", [
      [ "Introduction", "index.html#intro", null ]
    ] ],
    [ "Developing scopes", "index.html#develop", [
      [ "Getting started", "index.html#starting", null ],
      [ "Click packaging", "index.html#click", [
        [ "Multi-arch click packages", "index.html#multiarch_click", null ],
        [ "Multi-arch scope runner", "index.html#multiarch-scoperunner", null ],
        [ "Apparmor manifest", "index.html#apparmor", null ]
      ] ],
      [ "Implementing a scope", "index.html#impl", [
        [ "Case 1: A simple (non-aggregating) scope", "index.html#simplescope", [
          [ "Implementing ScopeBase", "index.html#scopebase", null ],
          [ "Handling search", "index.html#handlingsearch", null ],
          [ "Handling aggregation", "index.html#handlingaggregation", null ],
          [ "Surfacing mode", "index.html#surfacingmode", null ],
          [ "Implementing QueryBase", "index.html#querybase", null ],
          [ "Query cancellation", "index.html#cancellation", null ],
          [ "Filters", "index.html#filters", null ],
          [ "Handling previews", "index.html#handlingpreview", null ],
          [ "Preview actions", "index.html#previewactions", null ],
          [ "Handling result activation", "index.html#handlingactivation", null ],
          [ "Handling result action activation", "index.html#resultaction", null ],
          [ "Exporting a scope", "index.html#export", null ],
          [ "Inline music playback", "index.html#inlineplayback", null ]
        ] ],
        [ "Case 2: An aggregating scope", "index.html#aggscope", [
          [ "Finding child scopes", "index.html#childscopes", null ],
          [ "Sub-queries", "index.html#subquery", null ],
          [ "Receiving sub-query results", "index.html#receiver", null ],
          [ "Controlling category order", "index.html#aggbuffering", null ],
          [ "Activation and preview", "index.html#aggactiv", null ]
        ] ]
      ] ],
      [ "Threading model", "index.html#threading", null ],
      [ "Settings", "index.html#scopesettings", [
        [ "Defining settings", "index.html#settings_definitions", null ],
        [ "Accessing settings", "index.html#read_settings", null ]
      ] ],
      [ "File system access", "index.html#directories", null ],
      [ "Online Accounts", "index.html#online_accounts", [
        [ "Step 1: Update Apparmor manifest.", "index.html#oa_step1", [
          [ "Example Apparmor manifest file:", "index.html#oa_apparmor", null ]
        ] ],
        [ "Step 2: Account service configuration.", "index.html#oa_step2", [
          [ "Example .service file:", "index.html#oa_service", null ],
          [ "Example .application file:", "index.html#oa_application", null ]
        ] ],
        [ "Step 3: Update Click manifest.", "index.html#oa_step3", [
          [ "Example Click manifest file:", "index.html#oa_click", null ]
        ] ],
        [ "Step 4: Utilize the OnlineAccountClient class.", "index.html#oa_step4", [
          [ "Example OnlineAccountClient usage:", "index.html#oa_usage", null ]
        ] ]
      ] ],
      [ "Testing", "index.html#scopetesting", null ],
      [ "Deployment", "index.html#deployment", null ],
      [ "The scope tool", "index.html#scopetool", null ]
    ] ],
    [ "Release notes", "md__r_e_l_e_a_s_e__n_o_t_e_s.html", null ],
    [ "Preview widget types", "previewwidgets.html", [
      [ "Recognized preview widget types", "previewwidgets.html#previewtypes", [
        [ "audio widget", "previewwidgets.html#audio", null ],
        [ "video widget", "previewwidgets.html#video", null ],
        [ "image widget", "previewwidgets.html#image", null ],
        [ "gallery widget", "previewwidgets.html#gallery", null ],
        [ "header widget", "previewwidgets.html#header", null ],
        [ "actions widget", "previewwidgets.html#actions", null ],
        [ "icon-actions widget", "previewwidgets.html#icon-actions", null ],
        [ "progress widget", "previewwidgets.html#progress", null ],
        [ "text widget", "previewwidgets.html#text", null ],
        [ "rating-input widget", "previewwidgets.html#rating-input", null ],
        [ "rating-edit widget", "previewwidgets.html#rating-edit", null ],
        [ "reviews widget", "previewwidgets.html#reviews", null ],
        [ "comment-input widget", "previewwidgets.html#comment-input", null ],
        [ "comment widget", "previewwidgets.html#comment", null ],
        [ "expandable widget", "previewwidgets.html#expandable", null ],
        [ "table widget", "previewwidgets.html#table", null ],
        [ "Content sharing", "previewwidgets.html#contentsharing", null ]
      ] ]
    ] ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Namespaces", null, [
      [ "Namespace List", "namespaces.html", "namespaces" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", null ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ]
      ] ]
    ] ],
    [ "Files", null, [
      [ "File List", "files.html", "files" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
".html",
"classunity_1_1scopes_1_1_department.html#a5f6caf44e4d4efcac08688e541487726",
"classunity_1_1scopes_1_1_result.html#a5a132eb82702829e2fd026e088e4aa08",
"classunity_1_1scopes_1_1qt_1_1_q_canned_query.html#a31c7bb248b0a3da0fab19f294284ba1a",
"functions_func_h.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';